
QGIS Application - Feature request #7981

Add SVG symbol sets

2013-06-03 02:21 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Pull Request or Patch supplied:No Resolution: up/downstream

Easy fix?: No Copied to github as #: 16838

Description

Please add symbol sets to the default distribution, e.g.

http://blog.gvsig.org/2013/06/03/gvsig-2-0-forestry-symbol-library/

http://gfoss.it/drupal/simboli

http://gis-lab.info/qa/qgis-symbols.html

Related issues:

Related to QGIS Application - Feature request # 11114: Add maki symbol set to... Closed 2014-08-28

Duplicated by QGIS Application - Feature request # 9495: Add new symbol sets Rejected 2014-02-04

History

#1 - 2013-06-15 01:03 AM - Paolo Cavallini

Another possible one: http://mapicons.nicolasmollet.com/

Thanks Werner!

#2 - 2014-02-04 11:20 PM - Alexander Bruy

See also #9495

#3 - 2014-02-04 11:31 PM - Paolo Cavallini

Taking from duplicate:

This is better done with a download (upload) web application,similar to the plugin one.

Some interesting set:

http://sig974.free.fr/?p=1520 (licence unclear, asked the author)

    http://www.mapaction.org/resources/gis-resources.html "free for use".

#4 - 2014-03-05 06:23 AM - Bertrand Bouteilles

- File road_signs.zip added

Hi,

no problem to integrate images on http://sig974.free.fr/?p=1520 in the next version of QGIS.

I added a README file with icons to clarify the rights of use.

Icons are CC BY-SA 3.0, I hope it's ok.

Bertrand
#5 - 2014-04-23 03:07 PM - Antonio Locandro

When will this iconset be merged? I think it would be nice to expand the current symbols available. Although I agree with Paolo on a download manager

such as for the plugins would be the best way and contributors can create their own packages similar to how plugins work or even update other symbol

libraries with more

#6 - 2014-05-05 12:12 AM - Paolo Cavallini

One more: http://ngmdb.usgs.gov/fgdc_gds/geolsymstd/download.php

Licence to be checked.

#7 - 2015-04-16 11:22 PM - Paolo Cavallini

See also #1694

#8 - 2015-04-17 01:47 AM - cgsbob -

Paolo Cavallini wrote:

One more: http://ngmdb.usgs.gov/fgdc_gds/geolsymstd/download.php

Licence to be checked.

Paolo Cavallini wrote:

One more: http://ngmdb.usgs.gov/fgdc_gds/geolsymstd/download.php

Licence to be checked.

According to https://www.fgdc.gov/standards/process/FGDC-standards-reference-model page 4, an FGDC standard is:

Publicly Available

- FGDC Standards will have a broadly based public notice of their

availability. FGDC Standards will not be developed from copyrighted or proprietary

standards that would limit the ability of the final standard to be publicly available. They

will not contain any copyrights or other limitations on their use or reproduction. FGDC

Standards will be available electronically when ever possible.

#9 - 2016-03-08 01:03 AM - Paolo Cavallini

See also #11114

Another one is:

http://www.mapaction.org/resources/gis-resources.html

#10 - 2016-08-22 05:44 AM - Anita Graser

As far as I can tell, Mapaction icons are provided as a font: 
http://www.mapaction.org/images/stories/publicdocs/ocha_humanitarian_icons_for_gis_v2.0.zip

or as pngs:

http://reliefweb.int/sites/reliefweb.int/files/resources/2012_ocha_humanitarian_icon_png_0.zip

neither of which is ideal for our resource sharing solution.

#11 - 2017-04-30 05:34 PM - Paolo Cavallini

- Description updated

All usable icons now added, thanks Anita!

Only USGS are missing:

http://ngmdb.usgs.gov/fgdc_gds/geolsymstd/download.php

I've asked them for an SVG version, if available.

#12 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#13 - 2017-05-02 10:33 AM - Paolo Cavallini

Another very good one:

https://github.com/GISsimbology/symbols

#14 - 2018-02-24 01:33 PM - Paolo Cavallini

- Resolution set to up/downstream

- Status changed from Open to Closed

Now Resource Manager plugin allows easy adding of these resources, so I'm closing this.

Files

road_signs.zip 541 KB 2014-03-05 Bertrand Bouteilles
